===============================================================================
FlashWizard PRO History - coded by MusicBob
===============================================================================


Release 6.3 23/01/2006

- Multidreambox !!
FlashWizard can now address up to 10 dreamboxes, each one with its Name, IP, Login,
Passwd, Multiboot used devices, NFS share status, NFS ip, NFS shared directory.
You can easily select the target machine from a drop down list, on any window
(Flash and Multiboot), before starting install procedure.
All parameters are set-up on Configuration and Utilities panel.
The connection parameters for all dreamboxes are saved to "fwconnections.ini"
file, the file is encrypted and the passwords are hidden while FW is running.
To preserve your connection data, keep that file, and replace it in FlashWizard's
folder when you will upgrade to a new program release.

- Channels and Favourites are now saved in different "MyLastSettings" dirs,
depending on which dreambox is selected.

- Fixed recognizing of old .fwz files in multiboot restore.

- Fixed message when trying to install .nfi image on flash (not yet supported)

- FW7020: Revised bootmenu's install/upgrade procedures






===============================================================================






Release 6.2 20/01/2006

- Select devices to use (Multiboot)
You can use all your devices or disable some of these in
Configuration and Utilities Window.
Disabled devices are not used and not scanned for images in Multiboot
window (but the FW boot menu will always scan for all devices).
Warning: if you disable some devices, then FlashWizard will not use them
for saving temp files too. This means that enabled devices must have
enough free space for installing images and, expecially, while saving or
restoring backups.
Tip: backups make large use of temp files, so if you disable fast devices
(i.e. hard disk) this will result in a slow down of the backup/restore
processes.

- Images InfoWizard: add sounds/musics to your backups! (*.mid, *.mp3, *.wav)
The Images InfoWizard gets more powerful:
you can now add a background music, played while saving and restoring
backups (both flash and multiboot).
Tip: use midi or mp3 files, do not increase too much your backups file size.

- GO file finally fixed
Hopefully working on all dreamboxes now ;-)

- Boot menu transparency fixed, according to new cvs framebuffer changes.

- Better handling of FW2 files





===============================================================================






Release 6.01 16/01/2006

- Fixed small bug on FLASH backup/restore

- Added Nederland, Greek and Turkish locales, a big thanks to translators.






===============================================================================





Release 6 FINAL 14/01/2006

- NEW backup file format *.FW2
Smaller, better compression, Saving over 30% of space.
Totally configurable and upgradable for future expansions.

- 100% compatible with old *.fwz format (no need to convert files).

- 100% compatible with *.jbk files (no need to convert them).

- All backups can be installed on 7000 and 7020, as ever

- IMAGES INFOWIZARD
Starting with FW 6, a new powerful tool is born: Image InfoWizard
It is a complete editor for backups distribution infos, maybe for images too in the future.
You can add texts and graphics, plus a background picture, plus a sponsored link too.
Texts are in Rich Text Format, you can edit/write them with WordPad (you can run it direct from
InfoWizard tool Window).
The background picture (optional) is a BMP bitmap file.
The "sponsored" link (optional) can be input on InfoWizard window, and will show on
your distributed backup, a click will open your browser on linked page.
Image InfoWizard can be used both for flash and multiboot backups, generating a *.FW2 file.

- Other fixes and improvements, new GO file

- Italian, English, Deutsch, Francaise locales included.
German translation by Lapidis, updated by Jo Squillo
French translation by Mimi74





===============================================================================





Release 6 RC1 09/10/2005

- THIS IS A PUBLIC BETA
Every comment or bug report is highly appreciated, best for me if posted
on the official support forum, where I daily hang around :-)
http://www.satnews.it/vbforum/forumdisplay.php?f=28
Thanks to all contributed to grow-up this program.


- DM7020: added compatibility with new DM7000's squashfs2.2-LZMA compressed images (multiboot install).
You can now install all 7000's images, both if LZMA compressed or standard squashfs2-2.
The old squashfs.ko and the new LZMA-squashfs.ko modules are NOT compatible each one with the other.
Make sure to choose the right option when installing a DM7000 images, else you may need to restart the
dreambox before you can retry to install (as the squashfs.ko module may lock-up if incompatible image
is provided, and cannot be removed from the kernel without a complete reboot).

- DM7020: fixed rcS bug of latest CVS images.
The hard disk was no mounted anymore at boot, if image is run on 7020.
@ DMM developers: you should fix it in rcS, as 7000 images can perfectly be run on 7020 too.

- DM7020: always write "go" file in image when installing a dm7000 one.
The "go" file it is no longer used on 7020 multiboot procedure, but, by doing that way, it is gave back
the capabilty to exchange external devices between 7000 and 7020, sharing the same dm7000 installed images,
that can be booted on both dreambox models.

- Boot menu 1.9, never umount devices. This caused problems with some bugged 7000/7020 images.

====


- FAQ: What can I install with current FlashWizard, and where?

on DM 7020, on multiboot install (CF-USB-HDD-NFS):
- NFI images, with OpenEmbedded structure
- NFI images, with Tuxbox-CVS (dm7000-like) structure (i.e.: Neutrino)
- IMG images, built for dm7000 with new LZMA compression
- IMG images, built for dm7000 (all previous images, from 107.4 to 1.09)
- FWZ backups of 7020 NFI images, both OpenEmbedded and Tuxbox-CVS
- FWZ backups of 7000 IMG images
WARNING:
- on 7020, you *must* have in flash a true OpenEmbedded image (no 7000 cvs-tuxbox like!).
Make sure before installing FlashWizard on your 7020 to have an OE image in flash.


on DM 7000, on flash and multiboot install (CF-HDD-USB-NFS):
- all known DM7000 IMG images, from 107.4 to 1.09
Just make sure to have a compatible image in flash when you install a new one.
In example, to install a new LZMA compressed image, you must have a LZMA image in flash too.
- all FWZ backups of 7000 images (both on flash and multiboot)
FWZ backups can be saved and restored with ALL images in flash, as they don't care of the
flash image's kernel/squashfs version.


on other dreamboxes, images on flash and on multiboot on supported external devices.





===============================================================================





Release 7o2o BETA 3 01/10/2005

- THIS IS A PUBLIC BETA
Every comment or bug report is highly appreciated, best for me if posted
on the official support forum, where I daily hang around :-)
http://www.satnews.it/vbforum/forumdisplay.php?f=28
Thanks to all contributed to grow-up this program.


This is basically a bug-fixes release, built on the basis of users reports. Thanks.

- Fixed mount of hard disk when the image is started on hard disk too.
However, this was not a bug in FlashWizard, but it's probably busybox's mount command bug.
Now recording works on hdd installed images too ;-)

- Fixed boot menu install bug.

- Fixed syncing trouble between FTP and Telnet clients included in FlashWizard, which
sometimes resulted in lost files during install on slow devices.

That's all for the moment, next release will include flash backup.

Note for translators:
Thanks a lot to all!
It's really amazing for me to find out that FW is almost everywhere worldwide used!!

Please note: This beta_3 release share the same locale file of previous betas, so don't
waste your time on a new translation yet, previous ones fits well for the moment. :-)






===============================================================================






Release 7o2o BETA 2 30/09/2005

- THIS IS A PUBLIC BETA
Every comment or bug report is highly appreciated, best for me if posted
on the official support forum, where I daily hang around :-)
http://www.satnews.it/vbforum/forumdisplay.php?f=28
Warning, please read:
-> PLEASE UNINSTALL Beta_1 from your flash image before installing present release.
-> To uninstall, you must use FW beta_1 itself, NOT this beta_2 release.

Thanks. :-)


What is supported?
==================

- DM7020:
To make it clear: :-)

* On Flash:
you can use *any* true OpenEmbedded .nfi image (MUST have an OpenEmbedded image
in flash, no old fashioned 7000-like images are supported in flash).

* On Multiboot (USB/HDD/CF/NFS) you can install;
1) all known .NFI images, both OpenEmbedded and Tuxbox-CVS (yes, old 7000's style too, like Neutrino);
2) all known .IMG images, built for DM7000 from 1.074 to 1.09 (!!);
3) .FWZ backups of any DM7000 images
4) .FWZ backups of DM7020 images, both OpenEmbedded and Tuxbox-CVS old fashioned.

- DM7000/5620/500:
All is still supported:
you can install and run every image/backup from 1.074 to 1.09 both in flash and multiboot
on USB/CF/HDD/NFS (only on models that support these devices).


What is new?
============

- DM7020: Totally rewritten image startup logic
Fixed network startup, Telnet server is now always working for multiboot images.
Warning: PLEASE UNINSTALL Beta_1 from your flash image before installing present release.

- DM7020: Get rid of GO file, both for .NFI and .IMG images and backups.
The GO file will no more be present on images installed on DM7020.
Warning: this means that you can't swap anymore an usb stick or CF card from DM7000
to DM7020 and vice-versa to use the same installed images.
Please make a backup and then restore it on the target machine to be full compatible.
Swapping Usb Sticks and CF cards between dreamboxes sharing the same model name
will of course still work perfectly as before.

- DM7020: Nameserver address fixed on SmartSettings copy

- DM7000: Rewritten GO file, updated and fixed for latest images
All .ko modules are now FULL removed before starting a multiboot image.
The kernel modules aren't belonging to flash image any more (if an image of
same kernel version is to be started, of course).
Multiboot images will use their own modules.

- DM7000: Fixed patches on rcS file of latest CVS 
(no remark lines as unique statement inside if..then..fi conditional, as ash
shell scripts don't like it... ;-)

- New Boot menu 1.8

- SmartTelnet clipboard buffer enhanced, for wider range of copy/paste data.

- Other fixes and code tunings, as ever :-)


TO DO:
======

- DM7020: Install in flash of NFI images and FWZ backups.
Please be patient a while, this will be the next step, I promise :-)



Notes:
======

- When installing a non-enigma image (Neutrino), please make sure to
disable SmartSettings copy. SmartSettings copy procedure is tuned for
Enigma images and will not work on others.




===============================================================================





Release 7o2o BETA 1 26/09/2005


- THIS IS A PUBLIC BETA
Every comment or bug report is highly appreciated, best for me if posted
on the official support forum, where I daily hang around :-)
http://www.satnews.it/vbforum/forumdisplay.php?f=28
Thanks.

- Added DM7020 to the known machines :-)

On DM7020 is currently supported:
1) Multiboot install/remove of images and backups (*.fwz), both OpenEmbedded native
images and "old" dm7000 images are supported, and also FW backups (*.fwz) of
old and new openembedded images.

2) Settings save/restore for current running image.

3) SmartSettings Copy, even from OE image to standard one (this was the hard part to do!)
You will find all properly set-up on your brand new installed image, even at first boot ;-)

4) Compatible with all known images in flash, no need of an official DMM one.

- Full automatic recognition of connected dreambox model and running image type
(open embedded or standard structured or cramfs only, as for old DM500 images),
and also install-time recognition of new image's structure.
The end user will take no care of what image he wish to install and where, all
patches and fixes will be automatically performed by FlashWizard.

- Added images install on Compact Flash (DM7020 and DM7000 with tricky install)
On DM7000, you must switch you HDD to slave (if you have any) in order to work with
a compatible Compact Flash, then you must patch the mount commands in your images to
/dev/ide/.../target1/... for letting the hdd being recognized and mounted.
WARNING: DO NOT connect a CF on DM7000 unless you know exactly what you are doing!!!
Otherwise you could damage your hdd and/or loose all you recordings!
You have been warned....
(However, this is not FlashWizard-related, you can hopefully find full how-to
documentation on all dreambox forums worldwide).
No problems with DM7020, you just have to use a compatible CF.

- Added Compact Flash format and mount buttons (on Config and Utilities Window).

- Updated boot menu to handle CF, with auto-recognition of hosting machine (current version is 1.7)

- Added SmartTelnet image recognition:
The "Quick FTP" buttons will automatically be set on right destination directories,
according to which image type is currently selected at SmartTelnet launch
(open embedded or standard 7000-like image)
The image infos (version) will be collected from right place, with auto recognition too.

- TODO:
* DM7020 Flash install of images and backups (due to nand memory hardware, it is not easy as before).
* Install of 7020 images on 7000 (hmmm... not so necessary feature, I think ... at least now! ;-).

- NOTES:
1) As far as I know, FlashWizard is not compatible with Miniroot installed on 7020 flash image.
Please uninstall Miniroot if you wish to try FlashWizard.

2) Installing images on NFS does not work properly with 7020.
I have no idea why it don't work, as it works like a charm with DM7000/DM500/DM5620
The procedure is identical, but the NFS install actually hangs on DM7020...
Should be related to networking problems of actual 7020 images. I think.
So: please use only CF-HDD-USB on a DM7020 for the moment.

3) DM7020:
It is highly recommended to have the flash image running when you start to install a new image on
multiboot.




===============================================================================






Release 5.2 PRO 01/09/2005


- Advanced Secure Install procedure

After further and deeper testings about the squashfs problem, I found that low free memory is
_almost everytime_ the main cause for having files corrupted during install.
This means that newer squashfs versions need much more memory to work, mainly because the squashfs packing
blocks size reached 65536 bytes on latest version, to allow a bigger compression ratio.
Last Squashfs v2.2 has however some smart embedded options when working on constrained memory systems,
so it's higly recommended to use this one on very limited memory envinronments, like Dreambox is.

Keeping that news in mind, I tuned up the whole multiboot install procedure, and added a new option:
if empty or corrupted files are found, a new button "Kill enigma and retry"  is provided on the error log window.
By selecting that button, FlashWizard will first kill enigma process, then will retry to install the image.
This new procedure has proved to resolve almost all files corrupted installations, so it is highly
recommended to select it, if errors were found.
But, if errors are still present after the Kill enigma procedure, then is mostly a problem arised in image
packing, expecially when always the same files are listed.
Then, if you decide to continue the install, you should check those files manually when finished, before
rebooting dreambox.

- Full French translation included (locale + docs), by Mimi74. Thanks :-)





===============================================================================





Release 5.1 PRO 29/08/2005

- Advanced Secure Install procedure for multiboot images.
This powerful procedure checks automatically the reliability of all copied files when doing a multiboot install.
If one or more files are found corrupted, then a popup window will be displayed containing a list of
non-consistant files for currently installed image. So you'll decide if continue or not:
Note: it's strongly recommended to abort installation, the image mostly won't boot if has corrupted files.
So, as I'm saying from months, the bug was definitely a squashfs 2.0 bug, this new powerful option
will show you clearly as it is.
This procedure is implemented via a patched "cp" command (took from new busybox 1.01 and modified by me),
used instead of standard one while installing.
If no popup window is shown during install, you are now sure of a perfect result.
If corrupted files are found, simply try to reinstall the image a second time.
Even better, do first a full reboot of your dreambox:
it has been proved, during tests, that error rate is by far less after a complete reboot.

- Quick FTP
On SmartTelnet Window, you can now find a quick drag-and-drop FTP client, very comfortable for most operations.
You can just drag and drop your files from Windows desktop to the needed panel, each one will FTP the dropped
file(s) on the stated directory (the most used places on dreambox, like /var/tuxbox/plugins - /var/bin - /tmp ...)
In addiction, you can specify the file attributes after FTP transfer, also if the destination file will be
deleted before FTP, plus an option to change (cd) automatically SmartTelnet to the FTP dir after the transfer.
Two customizable FTP panels are provided too. Enter there your preferred FTP dir ;-)
Actual version does NOT support directory transfers, only one or multiple selected files can be dropped.

- actualized Advanced SmartSettings Copy
The latest config variables are now updated for SmartSettings Copy parser, including teletext cache, samba on/off,
audio channels priority (thanks redneck :-), saved mountpoints NFS or CIFS.

- Kill enigma before flash install
A killall command is issued to exit enigma before installing an image in flash memory, stopping most dreambox
processes, load and activities, to avoid install problems.
Note: it is always recommended to leave it ON.

- New Boot menu 1.5
NFS install procedure is enhanced and fixed, hopefully now always working on all connected hardwares.

- Automatic /hdd/epg.dat files delete at boot
A workaround for actual Enigma epg cache bug.
When you boot a different image than the last booted one, automatically epg cache files are deleted
from your hard disk, avoiding enigma to crash on startup.

- Support for localized charsets
Long awaited feature... you can choose the Character set most suitable for your Country (in language file):
# DEFAULT	the default charset
# SHIFTJIS	Japanese shift-JIS characters.
# HANGEUL	Korean characters (Wansung).
# JOHAB		Korean characters (Johab). Not available on NT 3.51
# GB2312	Simplified Chinese characters (mainland china).
# CHINESEBIG5	Traditional Chinese characters (Taiwanese).
# GREEK		Greek characters. Not available on NT 3.51.
# TURKISH	Turkish characters. Not available on NT 3.51
# VIETNAMESE	Vietnamese characters. Not available on NT 3.51.
# HEBREW	Hebrew characters. Not available on NT 3.51
# ARABIC	Arabic characters. Not available on NT 3.51
# BALTIC	Baltic characters. Not available on NT 3.51.
# RUSSIAN	Cyrillic characters. Not available on NT 3.51.
# THAI		Thai characters. Not available on NT 3.51
# EASTEUROPE	Includes diacritical marks for east european countries. Not available on NT 3.51.

- as ever, some other little updates and fixes, not so many this time, to be honest :-))))





===============================================================================




Release 5.0 PRO 09/02/2005

- Support for images installed on NFS mount, you can install and start multiboot images from your Windows PC (or Linux PC)!!
A NFS server is required running on the PC side (I strongly suggest Microsoft Services For Unix 3.5 for Win XP PRO and Win 2K).
You can install images wherever you want, on USB and/or HDD and/or NFS.

- Added compatibility with images for DB 500 and DB 56xx
They are automatically recognized and installed, just drag&drop as ever.
Now FlashWizard is full compatible with DB 7000, DB 56xx and DB 500 images.
These can be installed either in flash and multiboot (on NFS server).

- Added Advanced SmartCopy
A powerful option that allows to full copy a list of file and/or folders from the active image to the new one being installed.
As for SmartSettings, it is full working also with images that have a compressed /var folder at install time.
WARNING_1: be careful with this option, use wildcards in filenames only if you actually know what you are doing.
WARNING_2: To avoid image malfunction, do not try to copy special dir/files (like /var/etc/init) between images developed by different Teams: every developer use these files to configure their images in a different way each one from the others.
If you're not an advanced user, limit the use of Advanced SmartCopy to plugins files and other useful addons ;-)

- New FlashWizard bootmenu (v1.4):
  automount NFS device at boot;
  display which devices are connected (USB-HDD-NFS);
  display where is installed the currently selected image (USB-HDD-NFS);

- If NFS server is down, FW will automatically boot-up from other available images, or from flash image.

- various improvements and fixes.




===============================================================================




Release 4.5 PRO 30/11/2004

- Added SmartSettings copy option
Automatically initializes and set new multiboot installed images (and backups) with all your usual system settings (favourites, channels, all antenna's parameters, lnbs and motor configuration, video, language, etc..)
The SmartCopy is a powerful option that analyzes the new installed image or backup, and copies to it only the compatible configuration settings, in a smart way, generating no compatibility issues at all even between different images developed by different Teams.
And works also on images with compressed /var folder!!!

- Added Logo picture (bild) change/add capability for multiboot images.

- Added clipboard copy-paste buttons for SmartTelnet window (also with keyboard shortcuts: CTRL-C and CTRL-V)

- SmartTelnet window is now wider than standard telnet clients, much more confortable.

- Some minor fixes

- Deutsch locale + help files included (Thanks to Lapidis - http://www.dreambox.info)

- Turkish locale included (Thanks to Sanchooo187 - http://www.dreambox.info)

- Dutch locale included (Thanks to eric2905 - http://www.dreambox.info)




===============================================================================



Release 4.0 PRO 01/10/2004 - first public release of FW 4.0 PRO

New Features:

- FlashWizard PRO is now a standalone program: you don’t need to install DreamFlash for having images on multiboot. FlashWizard PRO installs multiboot images on /mnt/usb/fwpro/ and /hdd/fwpro/

- ONLY 40K required space on flash image! So, more space free for our emus, plugins and settings... ;-)

- Installs images on Usb Stick and/or Hard Disk, even used together:
the installed images will be automatically recognized at boot time, then loaded from their install devices.
Up to 100 images allowed, both on hdd or usb stick.

- Allow Boot Logo display (the starting picture) also for multiboot images!
To use this feature, you need >= 1.08 image in flash.

- Has his own 256 colors boot menu shown at boot time.
Select an image and press OK to load it: the boot logo (if available) will be displayed.

- Automatically checks and installs his boot menu on flash image (even if you are actually running a multiboot image).

- Activates the  VCR SCART output at boot time, allowing display of the boot menu also through the devices connected to it (i. e. a video-sender connected to VCR out)

- FLASH install:
FlashWizard PRO performs a check (verify) of the data written to the flash memory while installing an image (or restoring a flash backup), to make sure the install will come out without errors.
If a data block went bad in writing, FlashWizard PRO automatically rewrite it to flash, until it is stored without errors.

- Widely improved the backup/restore procedure, much more speed up the archiving phase.

- Deutsch language included (Thanks to Lapidis - http://www.dreambox.info)

- Turkish language included (Thanks to Sanchooo187 - http://www.dreambox.info)






===============================================================================
*******************************************************************************

Older FlashWizard history:


Release 3.2 - hotfix - 01/09/2004

- fixed multiboot backup & restore (if with only usb device)

Release 3.1 - CARONTE edition! - 31/08/2004

- added support for DreamFlash 1.5
- FULL support of 1.07.4 - 1.08.0 - 1.08.1 images, both in flash and multiboot
- Universal GO file: works with all combinations between flash and multiboot images
- Auto update of old GO file when restoring an old backup
- removed auto-settings restore
- fixed USB stick part1 format (it's a sfdisk problem in new busybox!)
- fixed SmartTelnet password bug (if different than "root/dreambox")

Release 3.0 - 08/07/2004

- added compatibility with DreamFlash 1.4
- added autodect of base flash image's version, FW will find out automatically which DreamFlash version is needed.
- added completely automatic management of multiboot images install, even if new 1.08 or old 1.07x, no need to know!
- added "HTTP Authentification" support: you don't need to care of it, it is automatically performed!
- added SmartTelnet client, with macro support and automatic login on the selected image's root.
- added compatibility with XFree86 installed with DreamFlash 1.3x (not yet available on DreamFlash 1.4)
- added capability to go to stand-by mode during install (improves install speed).
- fixed flash image install, and settings restore.
- fixed usb stick format procedure (disc and part1)
- fixed timeout problem
- fixed occasional freeze problem
- some other minor fixes and improved performance

Release 2.0 - 22/05/2004

- added images full Backup & Restore, both in flash and multiboot install
- added more PowerPC routines
- added Settings Backup/Restore capability on Configuration window
- moved Settings copy section on flash install window
- added free translations throught *.locale.txt easy editable files
- changed protocol components, widely enhanced transfer speed
- removed auto-check for updates, a button is now provided
- fixed old settings delete before a restore, freeing more memory before upload
- fixed USB Stick formatting procedure
- fixed FTP connection
- fixes in multiboot "copy settings..." procedure

===============================================================================

Release 1.1 - 23/04/2004

- added support for usb sticks to be formatted as "part1"
- added "copy settings from active image" capability
- added english, dutch, german translations
- added auto-update check
- added help pages, context sensitive
- some minor fixes

===============================================================================

Release 1.0 - 10/04/2004

- First public release :)


===============================================================================
